Ruby - Bug #4710

documentation updates: Net::FTP is 100%
05/16/2011 10:17 PM - vbatts (Vincent Batts)

Status: Closed

Priority: Normal

Assignee: drbrain (Eric Hodel)
Target version: 1.9.3

ruby -v: ruby 1.9.3dev (2011-05-16 trunk 31589)
[x86_64-linux]

Backport:

Description

per http://blog.segment7.net/2011/05/09/ruby-1-9-3-documentation-challenge

This patch includes the following (and some cleanup of *l into spaces)

class Net::FTP # is documented

in file lib/net/ftp.rb

def binary=(newmode); end

in file lib/net/ftp.rb

def getline(); end

in file lib/net/ftp.rb

def getmultiline(); end

in file lib/net/ftp.rb

def getresp(); end

in file lib/net/ftp.rb

def makepasv(); end

in file lib/net/ftp.rb

def makeport(); end

in file lib/net/ftp.rb

def open_socket(host, port); end

in file lib/net/ftp.rb

def parse227(resp); end

in file lib/net/ftp.rb

def parse228(resp); end

in file lib/net/ftp.rb
def parse229(resp); end

in file lib/net/ftp.rb

def parse257(resp); end
in file lib/net/ftp.rb
def putline(line); end

in file lib/net/ftp.rb

def sanitize(s); end

in file lib/net/ftp.rb

def send_type_command(); end

in file lib/net/ftp.rb

def sendport(host, port); end

in file lib/net/ftp.rb

def transfercmd(cmd, rest_offset = nil); end

in file lib/net/ftp.rb

def voidresp(); end

in file lib/net/ftp.rb

def with_binary(newmode); end

end

Associated revisions

Revision babda328 - 05/17/2011 07:52 PM - drbrain (Eric Hodel)

e lib/net/ftp.rb: Improve documentation. Patch by Vincent Batts.
[Ruby 1.9 - Bug #4710]
* ChangelLog: commit miss

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31616 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 9¢711¢c0b - 05/25/2011 12:26 AM - drbrain (Eric Hodel)

e lib/net/ftp.rb: Add :nodoc: for private methods.
[Ruby 1.9 - Bug #4710]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31727 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/17/2011 04:34 AM - drbrain (Eric Hodel)

Can you separate documentation from whitespace diffs (and create a new issue)?

#2 - 05/17/2011 05:07 AM - steveklabnik (Steve Klabnik)

Are whitespace-fixing diffs acceptable? If there's a standard of two spaces, I'll go ahead and make a big patch that just fixes all the whitespace.

07/17/2025 2/3




#3 - 05/17/2011 07:04 AM - drbrain (Eric Hodel)

There has been a push to remove trailing whitespace from the repository, nobu performs periodic cleanup commits. | assume a tab -> spaces for .rb

files cleanup would also be acceptable but | don't know, an email to ruby-core@ruby-lang.org would clarify this.

#4 - 05/17/2011 12:44 PM - vbatts (Vincent Batts)
- File ruby _doc_updates-20110517-0338_vbatts.patch added

attached is the patch updated with no whitespace correction.

#5 - 05/18/2011 04:52 AM - drbrain (Eric Hodel)
- Status changed from Open to Closed
- % Done changed from 0 to 100

This issue was solved with changeset r31616.
Vincent, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e lib/net/ftp.rb: Improve documentation. Patch by Vincent Batts.
[Ruby 1.9 - Bug #4710]
o Changelog: commit miss

#6 - 05/24/2011 09:31 PM - mame (Yusuke Endoh)
- Status changed from Closed to Open

Hello,

| guess that Net::FTP#send_type_command is not expected to be
used directly by user, and should be stated clearly.

Or please use :nodoc:.

The same goes for other private method in Net::FTP (sanitize,
putline, ...)

See #4694.

Yusuke Endoh mame@tsg.ne.jp

#7 - 05/25/2011 09:26 AM - drbrain (Eric Hodel)
- Status changed from Open to Closed

This issue was solved with changeset r31727.
Vincent, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e |ib/net/ftp.rb: Add :nodoc: for private methods.
[Ruby 1.9 - Bug #4710]

Files

ruby_doc_updates-20110516_vbatts.patch 20.8 KB 05/16/2011 vbatts (Vincent Batts)

ruby_doc_updates-20110517-0338_vbatts.patch 5.37 KB 05/17/2011 vbatts (Vincent Batts)
